// SPDX-License-Identifier: BSD-3-Clause

#include "logging.h"

std::mutex custom_log::mutex_;

custom_log::custom_log(std::ostream& os, const std::string& func)
    : os_(os)
{
    mutex_.lock();
    os_ << func << ": ";
}

custom_log::~custom_log() {
    os_ << std::endl;
    mutex_.unlock();
}